package com.qmth.themis.business.enums;

/**
 * @Description: 预警信息说明
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/18
 */
public enum WarningLevelEnum {

    D4("一个考试场次中未检测到人脸或有违规动作（左顾右盼、低头、转身、离开座位、人脸移除、遮挡等）次数超过3次（持续30秒连续帧画面违规记为次数1次）"),

    D8("一个考试场次中检测到多张人脸超过3次（持续15秒连续帧画面90%存在多张人脸记为次数1次）"),

    D6("一个考试场次中检测到人脸与底照不符次数超过3次（持续30秒连续帧画面90%比对底照不符记为次数1次）"),

    D14("一个考试场次内人脸抓拍检测（D12）失败累计次数超过6次"),

    D15("真实性检测失败1次以上");

    private String desc;

    private WarningLevelEnum(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }
}
